Merge a source contact into this contact. All channels from the source contact will be moved to the target contact, and the source contact will be marked as merged.
curl --request POST \
--url https://api.zavu.dev/v1/contacts/{contactId}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceContactId": "jx7xyz789"
}
'{
"id": "<string>",
"availableChannels": [
"<string>"
],
"verified": true,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "John Doe",
"phoneNumber": "+56912345678",
"primaryPhone": "+56912345678",
"primaryEmail": "john@example.com",
"countryCode": "CL",
"profileName": "John Doe",
"defaultChannel": "sms",
"channels": [
{
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"suggestedMergeWith": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body to merge contacts.
ID of the contact to merge into the target contact. The source contact will be marked as merged.
Contacts merged. Returns the updated target contact.
List of available messaging channels for this contact.
Whether this contact has been verified.
Show child attributes
Display name for the contact.
"John Doe"
DEPRECATED: Use primaryPhone instead. Primary phone number in E.164 format.
"+56912345678"
Primary phone number in E.164 format.
"+56912345678"
Primary email address.
"john@example.com"
"CL"
Contact's WhatsApp profile name. Only available for WhatsApp contacts.
"John Doe"
Preferred channel for this contact.
sms, whatsapp, telegram, email, instagram, voice All communication channels for this contact.
Show child attributes
ID of a contact suggested for merging.
curl --request POST \
--url https://api.zavu.dev/v1/contacts/{contactId}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceContactId": "jx7xyz789"
}
'{
"id": "<string>",
"availableChannels": [
"<string>"
],
"verified": true,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "John Doe",
"phoneNumber": "+56912345678",
"primaryPhone": "+56912345678",
"primaryEmail": "john@example.com",
"countryCode": "CL",
"profileName": "John Doe",
"defaultChannel": "sms",
"channels": [
{
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"suggestedMergeWith": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}